Update an audience
PATCH
/v1/audiences/{audience_id}
curl -X PATCH "https://us1.platform.bird.com/v1/audiences/{audience_id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Newsletter subscribers"
}'Updates an audience's name or description.
Parameters
audience_id
string
Audience ID.
Request Payload
name
string
Display name for the audience.
description
nullable string
Longer description of who this audience is. Set to null to clear.
Response Payload
id
string
required
Audience ID.
name
string
required
Display name for the audience.
description
nullable string
Longer description of who this audience is.
type
string
required
How the audience's recipients are determined. static audiences have an explicit member list you manage via the API. dynamic and external are preview values and currently unavailable — creating an audience with either returns an error.
created_at
string
required
updated_at
string
required